## qnitconverter 0.3-3

=== debian/changelog ===
qnitconverter (0.3-3) unstable; urgency=low

  * Doubled number of decimal places to 12
  * Added some area and speed conversions

 -- jkq <jkq3@engineering.uiuc.edu>  Sun, 17 Jan 2010 15:48:43 -0800

qnitconverter (0.3-2) unstable; urgency=low

  * Fixed bug with SI unit handling

 -- jkq <jkq3@engineering.uiuc.edu>  Sat, 09 Jan 2010 15:48:43 -0800

qnitconverter (0.3-1) unstable; urgency=low

  * Converted to C++

 -- jkq <jkq3@engineering.uiuc.edu>  Sat, 09 Jan 2010 15:48:43 -0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	cd src && qmake-qt4 QNitConverter.pro

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	cd src && $(MAKE) clean all
	#docbook-to-man debian/qnitconverter.sgml > qnitconverter.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
#	cd src && if [ -f Makefile ]; then $(MAKE) -k clean; fi

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/qnitconverter.
	mkdir -p $(CURDIR)/debian/qnitconverter/opt/QNitConverter
	cp QNitConverter conversions.data $(CURDIR)/debian/qnitconverter/opt/QNitConverter
	mkdir -p $(CURDIR)/debian/qnitconverter/usr/share/applications/hildon
	cp QNitConverter.desktop $(CURDIR)/debian/qnitconverter/usr/share/applications/hildon
	# FIXME icon48 icon64
#	$(MAKE) DESTDIR=$(CURDIR)/debian/qnitconverter install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## qnitconverter 0.3-4

=== src/Makefile ===
#############################################################################
# Makefile for building: ../QNitConverter
# Generated by qmake (2.01a) (Qt 4.5.3) on: Thu Jan 28 20:17:46 2010
# Project:  QNitConverter.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile QNitConverter.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		qnitconverter.cpp \
		converter.cpp moc_qnitconverter.cpp
OBJECTS       = main.o \
		qnitconverter.o \
		converter.o \
		moc_qnitconverter.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		QNitConverter.pro
QMAKE_TARGET  = QNitConverter
DESTDIR       = ../
TARGET        = ../QNitConverter

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_gui.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: QNitConverter.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile QNitConverter.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile QNitConverter.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/QNitConverter1.0.0 || $(MKDIR) .tmp/QNitConverter1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/QNitConverter1.0.0/ && $(COPY_FILE) --parents qnitconverter.h converter.h .tmp/QNitConverter1.0.0/ && $(COPY_FILE) --parents main.cpp qnitconverter.cpp converter.cpp .tmp/QNitConverter1.0.0/ && $(COPY_FILE) --parents gui.ui .tmp/QNitConverter1.0.0/ && (cd `dirname .tmp/QNitConverter1.0.0` && $(TAR) QNitConverter1.0.0.tar QNitConverter1.0.0 && $(COMPRESS) QNitConverter1.0.0.tar) && $(MOVE) `dirname .tmp/QNitConverter1.0.0`/QNitConverter1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/QNitConverter1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qnitconverter.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qnitconverter.cpp
moc_qnitconverter.cpp: converter.h \
		qnitconverter.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qnitconverter.h -o moc_qnitconverter.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_gui.h
compiler_uic_clean:
	-$(DEL_FILE) ui_gui.h
ui_gui.h: gui.ui
	/usr/bin/uic gui.ui -o ui_gui.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: main.cpp qnitconverter.h \
		converter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

qnitconverter.o: qnitconverter.cpp qnitconverter.h \
		converter.h \
		ui_gui.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qnitconverter.o qnitconverter.cpp

converter.o: converter.cpp converter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o converter.o converter.cpp

moc_qnitconverter.o: moc_qnitconverter.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qnitconverter.o moc_qnitconverter.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
qnitconverter (0.3-4) unstable; urgency=low

  * Added icon -- http://findicons.com/icon/175721/diagram_v2_19?id=270196

 -- jkq <jkq3@engineering.uiuc.edu>  Sun, 06 Jun 2010 12:04:43 -0800

=== debian/control ===
Source: qnitconverter
Section: user/utilities
Priority: optional
Maintainer: jkq <jkq3@engineering.uiuc.edu>
Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5.0-1maemo2), libx11-dev
Standards-Version: 3.8.0

Package: qnitconverter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A simple unit converter written in QT
 A simple unit converter written in QT
XB-Maemo-Display-Name: QNitConverter
Xsbc-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=QNitConverter

## qnitconverter 0.3-5

=== src/Makefile ===
#############################################################################
# Makefile for building: ../QNitConverter
# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Jun 6 12:08:23 2010
# Project:  QNitConverter.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile QNitConverter.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl -I. -I/targets/FREMANTLE_X86/usr/include/qt4/QtCore -I/targets/FREMANTLE_X86/usr/include/qt4/QtGui -I/targets/FREMANTLE_X86/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		qnitconverter.cpp \
		converter.cpp moc_qnitconverter.cpp
OBJECTS       = main.o \
		qnitconverter.o \
		converter.o \
		moc_qnitconverter.o
DIST          = /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		QNitConverter.pro
QMAKE_TARGET  = QNitConverter
DESTDIR       = ../
TARGET        = ../QNitConverter

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_gui.h $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: QNitConverter.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile QNitConverter.pro
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile QNitConverter.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/QNitConverter1.0.0 || $(MKDIR) .tmp/QNitConverter1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/QNitConverter1.0.0/ && $(COPY_FILE) --parents qnitconverter.h converter.h .tmp/QNitConverter1.0.0/ && $(COPY_FILE) --parents main.cpp qnitconverter.cpp converter.cpp .tmp/QNitConverter1.0.0/ && $(COPY_FILE) --parents gui.ui .tmp/QNitConverter1.0.0/ && (cd `dirname .tmp/QNitConverter1.0.0` && $(TAR) QNitConverter1.0.0.tar QNitConverter1.0.0 && $(COMPRESS) QNitConverter1.0.0.tar) && $(MOVE) `dirname .tmp/QNitConverter1.0.0`/QNitConverter1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/QNitConverter1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qnitconverter.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qnitconverter.cpp
moc_qnitconverter.cpp: converter.h \
		qnitconverter.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qnitconverter.h -o moc_qnitconverter.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_gui.h
compiler_uic_clean:
	-$(DEL_FILE) ui_gui.h
ui_gui.h: gui.ui
	/usr/bin/uic gui.ui -o ui_gui.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: main.cpp qnitconverter.h \
		converter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

qnitconverter.o: qnitconverter.cpp qnitconverter.h \
		converter.h \
		ui_gui.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qnitconverter.o qnitconverter.cpp

converter.o: converter.cpp converter.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o converter.o converter.cpp

moc_qnitconverter.o: moc_qnitconverter.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qnitconverter.o moc_qnitconverter.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
qnitconverter (0.3-5) unstable; urgency=low

  * Added app manager icon

 -- jkq <jkq3@engineering.uiuc.edu>  Sun, 06 Jun 2010 12:27:43 -0800

## qnitconverter 0.4-1

=== debian/changelog ===
qnitconverter (0.4-1) unstable; urgency=low

  * Fixed bug in curie conversion
  * Made input box start in 'numbers mode'

 -- jkq <jkq3@engineering.uiuc.edu>  Thu, 26 Aug 2010 18:27:15 -0800

=== debian/control ===
--- 
+++ 
@@ -12,3 +12,77 @@
  A simple unit converter written in QT
 XB-Maemo-Display-Name: QNitConverter
 Xsbc-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=QNitConverter
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAhO
+ AAAITgGMMQDsAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccll
+ PAAADAlJREFUeNrsWWtwVOUZfs5ld8/ed3MFAkkkQgLhEkRTpUjWAoodkIsW
+ 1OKQ/mrBtmY6dqz9UZZOa2f6x9jpjNPaKXE6tp3xD1p1vAyFIAgDIkQuKjc3
+ EkgJSfZ2ztlz377f2UB1NBDkMnWGd/LNyeXknOd93+d93vf7FrhpN+2m3bSb
+ 9k2zHdveadv61htt1+JZ3I0EvmdX92yvx9PJ8XzCNAwYppGc37Zo0/+9A0d6
+ 9kct2+4MBvztXq8XHMfDtAzIeTljWXbLba3zer/us/nrDf7g+3s28jyfisei
+ 7eFwGB5ywKHfSz4JoVAoxnFc8rpm4L3XNq7jitb2u5b99oqitG/PzuWSz9cZ
+ DAbqJUmCIIjI5hVwggfMkfTwIGIhP7K5LIaGhhPfblvU/XUcEC93g0dw2r0i
+ unre/vkWkbc6mxc9e8kXHdi3u44i3hUKBRN+vx+MMnlZhWYaqKmZ6IJnVigU
+ 4BQdykIQpmF20q/mXJcM7Hv9ybagn9vu8zjEXQtFW0/xnJE0TX3L1IUvZS/c
+ t3/ve1GB55Mej6cjHA7B5/MRz22KuoryikpUV1d/4bm6ruPTUydQFgkgl89D
+ VdX22XPvevG6FPHhdx7fHAly7X5fEQI5YVk6dKOQURW1S9e1Tr1q44pgIJD0
+ +6UY0QYcL2A4m0coHMX48eMhil+d6LNnz8Io5CFSJabT6Qw5VX/HvET2mhex
+ wOlJy1QyAqchKBmIhy1URp3YuHJ0VMWLqSprc2dEOBYLBoNQNBMZWcPkhimY
+ NGnSqOCZTZgwAQXdgiAKoFqJCYLQcd1k9PjWNRsjQSTjYVYXRCXHgOPosCkb
+ RCfitAbZIJWpegjjGtdB8EbH9NxMJoPBc2fg94nu98PD6foFC+/vveYyaltE
+ FU1OmYYCxyY1KSoQoMLDF+D3FhAN6qgKEpDh36O/ey4GPlgPQ7k8jlgshiLv
+ cWMZ8AcQCPi7rksf0MqfXiFLD8ZkOQfLkCkDCuCUHOGL5AinIkCOxAIaKkPn
+ 4M9vRm7XFJzbuRjK2Vcv+WymTnlVhyR5QbWU2L+nu+2aUYjUpc3r9XT6JanF
+ TxGyT29CTPwQQZ8NUiOgqNOiq2OUrrSKRZsc5Chr5LjBEb0Ak69DqOEnCNWv
+ JXrFvvSeVCoF3iZppX8aSqdTt9/ZdstVOUBzSx0VZZJml3YqMFfPNd1EIXcM
+ 0cEn3EL2iuZF0K4jjk3XIn3RY2kxJ0jqYdsc1QkHVSNHilGIlcsQm/FLeMN1
+ F99nWRY++fgoIn4PNbc8rVzH/MTi567YAQIeZWoQjYQ7iI8xr9dHABxkSM8j
+ 0RiqqqqQOfIkxMw/EAmaxEEG3iSgBFxqIQd7YRtZqg3OXTzHnIHrkM2yQo5Q
+ HKBSVpzofESbNiBUu9R997lz55BLnydQDobTmUw2m6u/9/5l2TE7sGvHv+tE
+ QdgejUbqI5GIK4HDWRk+KeDqOWtObkGbWZzvbkY8MAiv4LiPKVKUDf8CSHPe
+ hvrZ3yCf+CN49TAkDzkiUMsnZ7iRrDi0KODUS6gjs6x4ahFuWo/IlEfx0fHT
+ VEsca2w4mTreZUf6KPOFFaZjdLYvfWbTJR3Y+vYbG8vi8WS8LO6Cz6smFVjN
+ xfb/eRs6+mvwZ3+DsJ+DwJdA0TvhnfMWfBULSoU/sANK6iXYfX9HyM/DJ5Yy
+ 8Xl6WeQ4c0KhjBScCMzYPbDr1kF2hnHk1F4IPg7xqiBySp56RiGxfukfukdV
+ IaLOQY4vAdIpz7W1tV8Jnln59F9Btuvp5QSeQHAOizSHzP4fXrxHqlqA8tY/
+ Ibb4MKzKR+FY9DqnBJ5duSJP6sXBJ/CQRA6iRdxXU9h//F84kz+KhlnjkFNz
+ EIIOeL8Nk9OSl5TRxML7Xik6znZWUIGA5Lb6S1nFbX8hhSnxmgES6HFe8zQG
+ e575Yif3xS7Sp+iUnLjgCHOKFfiwWIfd4hKcGbcQ9bPrcOrTz0i5NDS0VEGn
+ fqORVMtWPvFU19J1l+wDtuN0KIwLjoMibTryNGiNZv5Kokp4AXGUd4HxxEi/
+ h4fT+zypasa9J//x8xh6bTa4M/+kv3Ij4Ev3WwR8yIxghzYPhyqpg9/Rir7+
+ flgEfMa8SVDNPGSqt5yeQZZWXqPvtVz9ZWV03+7uzRXl5e0SjcNDWRXNzTNG
+ dcKUezHwZjMqwjxEoaQ4jNcORx1WoHFCPU2z1AU1YuDhUk61JRwsNKJQn4A3
+ GsLhQycx41t1UHWFOrMFzdZQMFUoOkVelZHO5JDN5FOGbiX++vje3ks68O62
+ t6Jl8bJULBaJGZYDfyj+pXH48zb4/lMQzjxPzY13wTInLvQCN+IjPztuP6C5
+ SqtB/4TvQiyvQs+BTzD37luRlfMQpCJ0Aq6ZBYo+AS8oyFPxaqqNmuLtqMbM
+ 2JrVq7OXHSXuvue+rGHonZqm05DlwdDggNtoRrP4zKehmDEYRklOL/LcLjng
+ 2Lz7t958FO/HH0Z/02P45CyN0VScE6eWUTZkOF6iq0FR1jIYUoZxPjOI/9B7
+ qzAL91b/DPX+VtoAFRNjnoXmtM7fpChyim08wgEf+ombo47bVKTBab+gVJO2
+ myNOEGgmrQbjuSzioP9+HJ+6HkeGPPDHBVTWhqDRLCWVcTTFMuBppJWhEvCB
+ AXBKDAurfoyW+FLYOgcKZsYyzYNXNMyZptWuKIorj/ls2t1FjZqF5g2w/DPd
+ XqDrnLuYtp/ytmL/xA04kK1AsEyEL8S5wMPVHirQPBUljdDqMAZzQxigfbKS
+ sdFa/ggW0/8EuArkaKwgUdlimGbLY2vX9l75MLe7e1t5RVlCFOmFhL+xsXHU
+ e5UzO3H29eXUSXnkpVqcLF+Cz4ZMNLVMxMmTpzGujhW25fK8YBVQMIjnmoyc
+ LEMnnt8anofZFUsoa6a7Z6bgHaQxpmPViuXdX3tTLytyu0/ypWg2ombluJsO
+ NsN/lQVr5gNTfkTRTqNPD6Np0njY6RMU5SzGNURg2KTnRqlAFY0KlNSFDW4T
+ PLPQWrsSvOMl2ZZpTipkNK2QfGjVqueuepx2s7Cn+9kIDXeS5KfOaGN6c/OX
+ 6WZpOHRsB/b2bMXUWRNx9PBJ1DZWQKRRw2DKYo3IIot6QXY38mHUYGZ8MSql
+ yYzjbtQNw+g0LYvArxzT3lgc000eMamqhXZB9MTYYMY6NNvPXrBTfT3Yuf9V
+ 1NwSg0l900CBOmg1DNpyyhRxjeiijtAlr5DiaF7Mii3HrdFWBhg0dbKob+d5
+ vn35A8uu6PxpzHvi3e9ufYL2B53hUJiai4XGpukYyvRh35E3qThtfNhzDE1z
+ JsKivQEDbrNmZKkucEVXXOCMLtMi38G0eBvRUaQ5ijJT0FJ5We54ZM3qV677
+ 2eiuHVsPUINrsSjGx/o+ICUxcfjD42i+vY7oUXAL1HGBF0a6aAk4K9JKzxTM
+ rVgOiYvQGG1QgapMFjtXLH/gqg53xSu5OV8YTuats1u48DBS/ScwZ3ID6qZV
+ IK9nqYuipC46i7ridlHWXT1GDAuq1ozwXKNpM0uR17uKxWLHgytXZHGVNuYM
+ vPzO72Z7Jc+Wj46crG9NNOH84DC5b0OKCCXgpjrCc4q6zNq/4zahhugdLs/Z
+ sQvp+XZygtGl51odHo85A7qpJYVAsX7S1HL0D5xDpNJHwKn963JpbiHg8ghd
+ JgfvxOz6JeBs0VUbxnPLtpMrlz/wIq6xjd0BR0txNA/5ywQUxaI7t1zguUuX
+ XA7hYg2WTnqceB6FQftFVc1nKOrs4LbzWtDlqhwgRUnqqtOuCXzM5k0ad0ka
+ NZX6Au0XDAnzKn6A6kCDW6Bp4rlpGF0kjcmHV3+vF9fRrkiFnnn5+0/AY3fa
+ guHO63rBRmO4DdPLErBtuySLmn6QJldWoN24AXbFHzH99IVF2yxOT1iwuhKx
+ DfVhKZ6gvTQb/DLkRMeqlStexA20q/qM7M8vvFAniGK71+vLOI7Tte6xtVnc
+ YONO9515RCulnkZgutLIzAqQcdn9JNEwKbojy2JXCzYVs2Wzq+1Sh/bRNPv/
+ bxXd07niF19EOzW2aFyAQIunrIm02NE6O8Jh067HI8Lr8cLj9cDn9bqngews
+ ii1JYkuCny3a6gYCfvfKivjQN/kz5/8KMAAqnGamxPKWkgAAAABJRU5ErkJg
+ gg==
+ ====

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,10 @@
 	cp QNitConverter conversions.data $(CURDIR)/debian/qnitconverter/opt/QNitConverter
 	mkdir -p $(CURDIR)/debian/qnitconverter/usr/share/applications/hildon
 	cp QNitConverter.desktop $(CURDIR)/debian/qnitconverter/usr/share/applications/hildon
-	# FIXME icon48 icon64
+	mkdir -p $(CURDIR)/debian/qnitconverter/usr/share/icons/hicolor/48x48/hildon
+	cp diagram_v2_19_48x48.png $(CURDIR)/debian/qnitconverter/usr/share/icons/hicolor/48x48/hildon/qnitconverter.png
+	mkdir -p $(CURDIR)/debian/qnitconverter/usr/share/icons/hicolor/64x64/hildon
+	cp diagram_v2_19_64x64.png $(CURDIR)/debian/qnitconverter/usr/share/icons/hicolor/64x64/hildon/qnitconverter.png
 #	$(MAKE) DESTDIR=$(CURDIR)/debian/qnitconverter install

## qnitconverter 0.4-2

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: ../QNitConverter
-# Generated by qmake (2.01a) (Qt 4.5.3) on: Sun Jun 6 12:08:23 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Thu Aug 26 18:21:05 2010
 # Project:  QNitConverter.pro
 # Template: app
 # Command: /usr/bin/qmake-qt4 -unix -o Makefile QNitConverter.pro
@@ -11,12 +11,12 @@
 CC            = gcc
 CXX           = g++
 DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
-CFLAGS        = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
-CXXFLAGS      = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
-INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl -I. -I/targets/FREMANTLE_X86/usr/include/qt4/QtCore -I/targets/FREMANTLE_X86/usr/include/qt4/QtGui -I/targets/FREMANTLE_X86/usr/include/qt4 -I. -I.
+CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
+INCPATH       = -I/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++ -I. -I/targets/FREMANTLE_X86/usr/include/QtCore -I/targets/FREMANTLE_X86/usr/include/QtGui -I/targets/FREMANTLE_X86/usr/include -I. -I.
 LINK          = g++
-LFLAGS        = -Wl,-O1
-LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lQtGui -lQtCore -lpthread
+LFLAGS        = -Wl,-O1 -Wl,-rpath,/usr/lib
+LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -L/usr/lib -L/usr/X11R6/lib -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
 QMAKE         = /usr/bin/qmake-qt4
@@ -26,11 +26,12 @@
 SED           = sed
 COPY_FILE     = $(COPY)
 COPY_DIR      = $(COPY) -r
+STRIP         = strip
 INSTALL_FILE  = install -m 644 -p
 INSTALL_DIR   = $(COPY_DIR)
 INSTALL_PROGRAM = install -m 755 -p
 DEL_FILE      = rm -f
-SYMLINK       = ln -sf
+SYMLINK       = ln -f -s
 DEL_DIR       = rmdir
 MOVE          = mv -f
 CHK_DIR_EXISTS= test -d
@@ -101,7 +102,7 @@
 	@$(CHK_DIR_EXISTS) ../ || $(MKDIR) ../ 
 	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
 
-Makefile: QNitConverter.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++-opengl/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
+Makefile: QNitConverter.pro  /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/g++.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_X86/usr/share/qt4/mkspecs/qconfig.pri \

=== debian/changelog ===
qnitconverter (0.4-2) unstable; urgency=low

  * Fixed building for diablo

 -- jkq <jkq3@engineering.uiuc.edu>  Thu, 26 Aug 2010 20:51:18 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/utilities
 Priority: optional
 Maintainer: jkq <jkq3@engineering.uiuc.edu>
-Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5.0-1maemo2), libx11-dev
+Build-Depends: debhelper (>= 5), libqt4-dev (>= 4.5.0-1maemo2), libx11-dev, python2.5
 Standards-Version: 3.8.0
 
 Package: qnitconverter

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
+	python2.5 debian/check_and_patch.py debian/patches/qt4.5_no_inputMethodHints
 	cd src && $(MAKE) clean all
 	#docbook-to-man debian/qnitconverter.sgml > qnitconverter.1
